##
##  wml.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         wml
Summary:      Website META Language
URL:          http://thewml.org/
Vendor:       Ralf S. Engelschall
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL
Version:      2.0.9
Release:      20021203

#   list of sources
Source0:      ftp://thewml.org/distrib/wml-%{version}.tar.gz
Source1:      configure.eperl
Source2:      configure.gm4
Source3:      configure.iselect
Source4:      configure.gd

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl, gcc, png, zlib
PreReq:       OpenPKG, openpkg >= 20020206, perl
AutoReq:      no
AutoReqProv:  no

%description
    WML is a free and extensible Webdesigner's off-line HTML generation
    toolkit for Unix, distributed under the GNU General Public License
    (GPL v2). It is written in ANSI C and Perl 5, built via a GNU
    Autoconf based source tree and runs out-of-the-box on all major Unix
    derivates. It can be used free of charge both in educational and
    commercial environments. WML consists of a control frontend driving
    up to nine backends in a sequential pass-oriented filtering scheme.
    Each backend provides one particular core language. For maximum
    power WML additionally ships with a well-suited set of include files
    which provide higher-level features built on top of the backends
    core languages. While not trivial and idiot proof WML provides most
    of the core features real hackers always wanted for HTML generation.

%prep
    %setup -q
    cp %{SOURCE configure.eperl} wml_backend/p3_eperl/configure
    cp %{SOURCE configure.gm4} wml_backend/p4_gm4/configure
    cp %{SOURCE configure.iselect} wml_aux/iselect/configure
    cp %{SOURCE configure.gd} wml_common/gd/configure

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="-I%{l_prefix}/include" \
    LDFLAGS="-L%{l_prefix}/lib" \
    LIBS="-lpng -lz -lm" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-perl=%{l_prefix}/bin/perl
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

